package org.wso2.carbon.device.mgt.ios.payload.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang.StringUtils;
import org.wso2.carbon.device.mgt.ios.payload.exception.ProfileConfigurationException;

@ApiModel(value = "RemoveProfile",
        description = "This class represents the information of RemoveProfile.")
public class RemoveProfile extends CommandOperation {

    @ApiModelProperty(name = "identifier", value = "DeviceIdentifier which related to Remove profile.", required = true)
    private String identifier;

    @Override
    public void validateRequest() throws ProfileConfigurationException {

        if (StringUtils.isEmpty(identifier)) {
            throw new ProfileConfigurationException("Identifier is empty");
        }

    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }
}
